Blog comment
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
- GET /api/blog/{blogId}/blog-post/{blogPostId}/comment
- GET /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}/reply
- POST /api/blog/{blogId}/blog-post/{blogPostId}/comment
- POST /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/like
- POST /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/reply/{replyId}/like
- POST /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}/attachment
- POST /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}/attachment/upload-complete
- DELETE /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/like
- DELETE /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/reply/{replyId}/like
- DELETE /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}
GET /api/blog/{blogId}/blog-post/{blogPostId}/comment
Gets the timeline for the specified blog post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogPostId |
path | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
blogId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"Status": "Success",
"Items": [
{
"ActionId": 0,
"ParentId": 0,
"ActorName": "string",
"ActorId": 0,
"AssetId": 0,
"TargetId": 0,
"TargetType": "string",
"ActionSubType": "string",
"TargetName": "string",
"TargetAssetId": 0,
"LikeCount": 0,
"LikedByPersonIds": [
0
],
"CommentCount": 0,
"ActionType": "string",
"Data": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"DateTimeOccurred": "2024-01-01T00:00:00Z",
"CanLike": true,
"CanComment": true,
"AggregatedCount": 0,
"UpdatedDate": "2024-01-01T00:00:00Z",
"SectionId": 0,
"LocationName": "string",
"LocationId": 0,
"LocationType": "string",
"SecondaryLocationType": "string",
"SecondaryLocationName": "string",
"SecondaryLocationId": 0,
"IsPrivate": true,
"AdditionalData": {
"Likes": [
{
"PersonId": 0,
"PersonName": "string",
"Date": "2024-01-01T00:00:00Z",
"FeedLikeAdditionalData": "string"
}
],
"CommentActions": [
{
"ActionId": 0,
"PersonId": 0,
"PersonName": "string",
"Date": "2024-01-01T00:00:00Z",
"FeedCommentAdditionalData": "string",
"IsEdited": true
}
],
"AggregateActors": [
{
"PersonId": 0,
"PersonName": "string",
"PersonAssetId": 0,
"Data": "string",
"Date": "2024-01-01T00:00:00Z"
}
],
"Reactions": [
{
"PersonId": 0,
"ReactionTypeId": 0
}
]
},
"Attachments": [
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"ObjectId": 0,
"ObjectTypeId": 0,
"PersonId": 0
}
],
"TranslationUrl": "string",
"SourceLanguage": {
"Code": "string",
"Probability": 0,
"ClassifiedDate": "2024-01-01T00:00:00Z"
},
"SourceLanguageCode": "string",
"TargetLanguageCode": "string",
"OfferTranslation": true,
"CanDelete": true,
"Hashtags": [
"string"
],
"Topics": [
"string"
],
"FeedAdditionalData": "string",
"PostScheduledAt": "2024-01-01T00:00:00Z",
"IsEdited": true
}
]
}| Field | Type |
|---|---|
Status | string |
Items | array of object |
GET /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}/reply
List replies.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
commentId |
path | integer (int32) | Yes | |
objectId |
query | integer (int32) | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
blogId |
path | string | Yes | |
blogpostId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
POST /api/blog/{blogId}/blog-post/{blogPostId}/comment
Adds a comment to timeline for the specified blog post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogPostId |
path | integer (int32) | Yes | |
blogId |
path | string | Yes |
Request body
{
"RecipientId": 0,
"ActionText": "string",
"SectionId": 0,
"ParentId": 0,
"Private": true,
"IsPinned": true,
"AttachmentIds": [
0
],
"LocalTimestamp": "2024-01-01T00:00:00Z",
"Origin": "Unknown",
"Platform": "Unknown"
}| Field | Type |
|---|---|
RecipientId | integer (int32) |
ActionText | string |
SectionId | integer (int32) |
ParentId | integer (int32) |
Private | boolean |
IsPinned | boolean |
AttachmentIds | array of integer |
LocalTimestamp | string (date-time) |
Origin | string |
Platform | string |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"ActionId": 0,
"TypeId": 0,
"ParentId": 0,
"SectionId": 0,
"ActorId": 0,
"RecipientId": 0,
"ActorName": "string",
"RecipientTitle": "string",
"ActorLink": "string",
"RecipientLink": "string",
"Data": "string",
"TypeComposite": "Person",
"RecipientType": "Person",
"ActionType": "Add",
"LikeCount": 0,
"ShareCount": 0,
"CommentCount": 0,
"DateTimeOccurred": "2024-01-01T00:00:00Z",
"Verb": "string",
"LocationTitle": "string",
"NotificationText": "string",
"CanComment": true,
"CanLike": true,
"CanDelete": true,
"AssetId": 0,
"IsLikedByMe": true,
"SocialProperties": {
"IsLike": true,
"IsComment": true,
"IsShare": true,
"CanComment": true,
"CanLike": true
},
"Attachments": [
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"SortOrder": 0
}
]
}| Field | Type |
|---|---|
ActionId | integer (int32) |
TypeId | integer (int32) |
ParentId | integer (int32) |
SectionId | integer (int32) |
ActorId | integer (int32) |
RecipientId | integer (int32) |
ActorName | string |
RecipientTitle | string |
ActorLink | string |
RecipientLink | string |
Data | string |
TypeComposite | string |
RecipientType | string |
ActionType | string |
LikeCount | integer (int32) |
ShareCount | integer (int32) |
CommentCount | integer (int32) |
DateTimeOccurred | string (date-time) |
Verb | string |
LocationTitle | string |
NotificationText | string |
CanComment | boolean |
CanLike | boolean |
CanDelete | boolean |
AssetId | integer (int32) |
IsLikedByMe | boolean |
SocialProperties | object |
Attachments | array of object |
POST /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/like
Adds a like reaction to a blog post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
POST /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/reply/{replyId}/like
Adds a like reaction to a comment reply
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes | |
replyId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
POST /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}/attachment
Create an attachment.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
commentId |
path | integer (int32) | Yes | |
blogId |
path | string | Yes | |
blogpostId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
[
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"SortOrder": 0
}
]| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
SortOrder | integer (int32) |
POST /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}/attachment/upload-complete
Finalise a chunked attachment upload.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
commentId |
path | integer (int32) | Yes | |
blogId |
path | string | Yes | |
blogpostId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"SortOrder": 0
}| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
SortOrder | integer (int32) |
DELETE /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/like
Removes a like reaction for a blog post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
DELETE /api/blog/{blogId}/blog-post/{blogPostId}/comment/{commentId}/reply/{replyId}/like
Removes a like reaction for a reply to a comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes | |
replyId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
DELETE /api/blog/{blogId}/blog-post/{blogpostId}/comment/{commentId}
Deletes a timeline entry for the specified blog post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
commentId |
path | integer (int32) | Yes | |
blogId |
path | string | Yes | |
blogpostId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 |